# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm
#  cvs login
#  cvs export -r RDB_ADAPTER_3_1 adapter
# or
#  cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm co -r  RDB_ADAPTER_3_1 adapter
#  tar cjvf jorm-rdb-adapter-3.1.tar.bz2 --exclude CVS adapter

Name:		jorm-rdb-adapter
Summary:	Database adaptor package for JORM
Version:	3.1
Release:	1jpp
Epoch:		0
URL:		http://jorm.objectweb.org/
License:	LGPL
Group:		Development/Libraries/Java
Distribution:   JPackage
Vendor:         JPackage Project
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	junit
BuildRequires:	medor-expression >= 1.6
BuildRequires:	monolog
BuildRequires:	perseus-persistence
Requires:	medor-expression >= 1.6
Requires:	monolog
Requires:	perseus-persistence
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JORM (Java Object Repository Mapping) is an adaptable persistence
service that provides object persistency through files, relational
databases or object-oriented databases.  This package provides
relational database support to JORM.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n adapter
find . -name '*.?ar' | xargs rm

build-jar-repository externals -s -p junit medor/ow_medor_exp monolog/ow_util_log_wrp_log4j perseus/ow_perseus_persistence

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc
rm -f output/lib/ow_jorm_rdb_adapter_test.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jorm
for jar in output/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/jorm/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jorm/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/jdoc/rdb_adapter \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/jorm

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Mar 09 2006 Fernando Nasser <fnasser@redhat.com> 0:3.1-1jpp
- First JPP 1.7 build

* Fri Oct 21 2005 Fernando Nasser <fnasser@redhat.com> 0:3.1-1jpp_1rh
- Update to 3.1

* Thu Sep 29 2005 Fernando Nasser <fnasser@redhat.com> 0:3.0.1-1jpp_1rh
- Update to 3.0.1

* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:3.0-1jpp_1rh
- Updated version and dependencies.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:2.9.1-1jpp_1rh
- First Red Hat build.
- Updated dependencies and source.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.6-1jpp_1fc
- Build into Fedora.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:2.6-1jpp
- Initial build.
